## python-oslo.service 1.31.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

WebOb>=1.7.1 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
monotonic>=0.6 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
Paste>=2.0.2 # MIT

=== debian/changelog ===
python-oslo.service (1.31.3-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Jul 2018 19:45:04 +0000

python-oslo.service (1.31.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 13:58:56 -0400

python-oslo.service (1.31.2-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch to using python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 10:15:56 +0100

python-oslo.service (1.31.2-0ubuntu1) cosmic; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/rules: Rework unit test execution with blacklisting
    - d/tests/*: Add autopkgtests.
    - d/control: Update Vcs-* fields.

  [ James Page ]
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:31:44 +0100

python-oslo.service (1.29.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:27:47 +0000

python-oslo.service (1.29.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:00:00 +0000

python-oslo.service (1.25.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867630).
  * Build-depends on python-openstackdocstheme (Closes: #880185).
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 17:04:40 +0000

python-oslo.service (1.25.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop python-doc8 from BDs as it's not needed for package builds.

  [ Ondřej Nový ]
  * New upstream release
  * Fix (build-)depends for new release
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_install.
  * Blacklist test_service.ProcessLauncherTest.test_stop when running Py3 tests
    as in currently fails with Python 3.6.
  * Fixed SystemD -> systemd in long desc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Sep 2017 19:47:05 +0000

python-oslo.service (1.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:13 +0200

python-oslo.service (1.16.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 12:56:22 +0200

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-mock (>= 2.0.0),
 python-monotonic (>= 0.6),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:3.2.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-stestr,
 python-webob (>= 1:1.7.1),
 python3-babel,
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-subunit,
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service
Architecture: all
Depends:
 python-babel,
 python-eventlet (>= 0.18.2),
 python-greenlet (>= 0.4.10),
 python-monotonic (>= 0.6),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 2.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 2.x module.

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 python3-babel,
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.10),
 python3-monotonic (>= 0.6),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist-py2.txt ; \
	done
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist-py3.txt ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.service 1.31.8

=== debian/changelog ===
python-oslo.service (1.31.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 22:53:03 +0100

python-oslo.service (1.31.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added procps as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 08:04:17 +0000

python-oslo.service (1.31.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.
  * Switched to pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 12:21:36 +0200

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 procps,
 python-babel,
 python-coverage,
 python-eventlet (>= 0.18.4),
 python-fixtures (>= 3.0.0),
 python-greenlet,
 python-hacking,
 python-mock (>= 2.0),
 python-monotonic (>= 0.6),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:3.2.0),
 python-paste,
 python-pastedeploy,
 python-requests (>= 2.14.2),
 python-routes,
 python-six (>= 1.9.0),
 python-stestr (>= 2.0.0),
 python-webob (>= 1.7.1),
 python3-babel,
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-hacking,
 python3-mock (>= 2.0),
 python3-monotonic (>= 0.6),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste,
 python3-pastedeploy,
 python3-requests (>= 2.14.2),
 python3-routes,
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-webob (>= 1.7.1),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.service
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.service.git
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service
Architecture: all
Depends:
 procps,
 python-babel,
 python-eventlet (>= 0.18.4),
 python-monotonic (>= 0.6),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-paste,
 python-pastedeploy,
 python-routes,
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 2.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 2.x module.

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-eventlet (>= 0.18.4),
 python3-monotonic (>= 0.6),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>> 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paste,
 python3-pastedeploy,
 python3-routes,
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py3 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*))'
	pkgos-dh_auto_test --no-py2 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*|.*test_service\.EventletServerServiceLauncherTest\.test_graceful_stop_with_exceeded_graceful_shutdown_timeout.*|.*test_service.EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected.*|.*test_service.ServiceLauncherTest.test_child_signal_sighup.*|.*test_service.ProcessLauncherTest.test_stop.*))'
endif

override_dh_sphinxdoc:
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.service 1.38.0

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,12 @@
 # process, which may cause wedges in the gate later.
 
 WebOb>=1.7.1 # MIT
+debtcollector>=1.2.0 # Apache 2.0
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+fixtures>=3.0.0 # Apache-2.0/BSD
 greenlet>=0.4.10 # MIT
-monotonic>=0.6 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+monotonic>=0.6;python_version<'3.3'  # Apache-2.0
+oslo.utils>=3.40.2 # Apache-2.0
 oslo.concurrency>=3.25.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
@@ -15,3 +17,4 @@
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
 Paste>=2.0.2 # MIT
+Yappi>=1.0 # MIT

=== debian/changelog ===
python-oslo.service (1.38.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:05:03 +0200

python-oslo.service (1.38.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Mar 2019 21:42:43 +0100

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.40.2),
 python3-oslosphinx,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-requests,
 python3-routes,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-webob,
 python3-yappi,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.service
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.service.git
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.40.2),
 python3-paste,
 python3-pastedeploy,
 python3-routes,
 python3-six,
 python3-yappi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*|.*test_service\.EventletServerServiceLauncherTest\.test_graceful_stop_with_exceeded_graceful_shutdown_timeout.*|.*test_service.EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected.*|.*test_service.ServiceLauncherTest.test_child_signal_sighup.*|.*test_service.ProcessLauncherTest.test_stop.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc
endif

## python-oslo.service 1.40.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.service (1.40.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:50:29 +0200

python-oslo.service (1.40.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 11:37:32 +0200

python-oslo.service (1.40.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -41,7 +41,7 @@
  python3-webob,
  python3-yappi,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.service
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.service.git
 Homepage: https://github.com/openstack/oslo.service

## python-oslo.service 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 fixtures>=3.0.0 # Apache-2.0/BSD
 greenlet>=0.4.10 # MIT
-monotonic>=0.6;python_version<'3.3'  # Apache-2.0
 oslo.utils>=3.40.2 # Apache-2.0
 oslo.concurrency>=3.25.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.service (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:02:55 -0400

python-oslo.service (1.41.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:00:11 +0000

python-oslo.service (1.40.2-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:21:03 -0500

python-oslo.service (1.40.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/p/*: Refresh/rebase.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:34:28 +0100

python-oslo.service (1.40.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop python3-yappi inline with d/patches.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Aug 2019 15:23:15 -0400

python-oslo.service (1.40.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:48:44 -0400

python-oslo.service (1.39.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:20:13 -0400

python-oslo.service (1.39.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:23:58 -0400

python-oslo.service (1.39.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Run all unit tests.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
    - d/p/0001-Revert-Update-oslo.service-to-require-yappi-1.0-or-n.patch,
      d/p/0002-Revert-Profile-Oslo-Service-processes.patch: 
      Revert changes to support profiling with yappi.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 14:20:13 -0400

python-oslo.service (1.38.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * Revert changes to support profiling with yappi.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:12:35 +0000

python-oslo.service (1.36.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:24:55 +0000

python-oslo.service (1.33.0-0ubuntu2) disco; urgency=medium

  * d/tests/python-ostestr: Skip test_child_signal_sighup for Python 3 due to
    https://bugs.launchpad.net/bugs/1803731.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 11:29:53 -0500

python-oslo.service (1.33.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:27:19 +0000

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

## python-oslo.service 2.1.1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 WebOb>=1.7.1 # MIT
 debtcollector>=1.2.0 # Apache 2.0
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet>=0.22.0,!=0.23.0,!=0.25.0 # MIT
 fixtures>=3.0.0 # Apache-2.0/BSD
 greenlet>=0.4.10 # MIT
 oslo.utils>=3.40.2 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,6 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
+sphinx>=1.8.0,!=2.1.0 # BSD
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.service (2.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:30:40 -0400

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,9 @@
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-doc8 (>= 0.6.0),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.22.0),
  python3-fixtures (>= 3.0.0),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 1.1.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.concurrency (>= 3.25.0),
@@ -73,7 +72,7 @@
  procps,
  python3-babel,
  python3-debtcollector (>= 1.2.0),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.22.0),
  python3-fixtures (>= 3.0.0),
  python3-greenlet (>= 0.4.10),
  python3-oslo.concurrency (>= 3.25.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: python-import, python-ostestr
Depends: @, @builddeps@, python3-os-testr
Restrictions: allow-stderr

## python-oslo.service 2.4.0

=== debian/changelog ===
python-oslo.service (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:12:25 +0200

python-oslo.service (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:46:03 +0200

python-oslo.service (2.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed call to python3 setup.py compile_catalog, as it's failing.
  * Install using --in-tmp.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:37:46 +0200

python-oslo.service (2.1.2-1) unstable; urgency=medium

  * Run python3 setup.py compile_catalog before installing package, to make
    sure translations are installed.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:11:24 +0200

python-oslo.service (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:22:57 +0200

python-oslo.service (2.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:57:58 +0200

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet (>= 0.25.2),
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.40.2),
 python3-oslosphinx,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-requests,
 python3-routes,
 python3-stestr,
 python3-subunit,
 python3-webob,
 python3-yappi,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.service
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.service.git
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector,
 python3-eventlet (>= 0.25.2),
 python3-fixtures,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.40.2),
 python3-paste,
 python3-pastedeploy,
 python3-routes,
 python3-yappi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.service/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.service 2.4.1

=== debian/changelog ===
python-oslo.service (2.4.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 10:34:29 +0000

## python-oslo.service 2.5.0

=== debian/changelog ===
python-oslo.service (2.5.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.
  * d/p/no-patch-eventlet.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 12:55:47 -0400

python-oslo.service (2.4.0-0ubuntu2) hirsute; urgency=medium

  * eventlet uses monotonic clocks by default since 0.21, hence no need to
    patch that anymore.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Nov 2020 11:08:46 +0000

python-oslo.service (2.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:36:07 -0400

python-oslo.service (2.3.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:30:17 +0000

python-oslo.service (2.3.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:52:13 -0400

python-oslo.service (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:41:31 -0400

python-oslo.service (2.1.1-0ubuntu2) groovy; urgency=medium

  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725853/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 12:56:30 -0400

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.25.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.15),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.service
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.service
Homepage: https://opendev.org/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.25.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.15),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

## python-oslo.service 2.5.1

=== debian/changelog ===
python-oslo.service (2.5.1-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 08 Aug 2022 09:29:34 +0000

python-oslo.service (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:21:25 +0200

python-oslo.service (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:29:36 +0100

## python-oslo.service 2.6.0

=== debian/changelog ===
python-oslo.service (2.6.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 20:21:10 +0000

python-oslo.service (2.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/p/0001-Revert-Update-oslo.service-to-require-yappi-1.0-or-n.patch,
    d/p/0002-Revert-Profile-Oslo-Service-processes.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:43:22 -0400

## python-oslo.service 2.8.0

=== requirements.txt ===
--- 
+++ 
@@ -4,14 +4,13 @@
 
 WebOb>=1.7.1 # MIT
 debtcollector>=1.2.0 # Apache 2.0
-eventlet>=0.22.0,!=0.23.0,!=0.25.0 # MIT
+eventlet>=0.25.2 # MIT
 fixtures>=3.0.0 # Apache-2.0/BSD
-greenlet>=0.4.10 # MIT
+greenlet>=0.4.15 # MIT
 oslo.utils>=3.40.2 # Apache-2.0
 oslo.concurrency>=3.25.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-six>=1.10.0 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.service (2.8.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:55:56 -0500

python-oslo.service (2.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/p/0001-Revert-Update-oslo.service-to-require-yappi-1.0-or-n.patch,
    d/p/0002-Revert-Profile-Oslo-Service-processes.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:46:22 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
